
From: Chris Mason <mason@suse.com>

mason@suse.com

block_write_full_page might see and lock clean metadata buffers, which leads
to bogus vs-12339 messages.  Change the message to ignore bh locked.

Index: linux.mm/fs/reiserfs/do_balan.c
===================================================================


---

 25-akpm/fs/reiserfs/do_balan.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN fs/reiserfs/do_balan.c~1-1-reiserfs-ignore-prepared-and-locked-buffers fs/reiserfs/do_balan.c
--- 25/fs/reiserfs/do_balan.c~1-1-reiserfs-ignore-prepared-and-locked-buffers	Fri Apr 23 13:50:11 2004
+++ 25-akpm/fs/reiserfs/do_balan.c	Fri Apr 23 13:50:11 2004
@@ -1343,7 +1343,8 @@ static void check_internal_node (struct 
 
 static int locked_or_not_in_tree (struct buffer_head * bh, char * which)
 {
-  if ( buffer_locked (bh) || !B_IS_IN_TREE (bh) ) {
+  if ( (!reiserfs_buffer_prepared(bh) && buffer_locked (bh)) ||
+        !B_IS_IN_TREE (bh) ) {
     reiserfs_warning ("vs-12339: locked_or_not_in_tree: %s (%b)\n", which, bh);
     return 1;
   } 

_
